 
jQuery(function($){
	initRupI18nPromise.then(function() {

		$("#tabPrestacionServicio_form_feedback").rup_feedback ({
		  type: "ok",
		  delay: 3000,
		  fadeSpeed: 500,
		  block: false
		});
		
		init();
	});
	
	function init(){
	
		let tableColModels = [			
				{ 	name: "identificador01",
					index: "identificador01",
					editable: true, 
					hidden: false
				},
				{ 	name: "beneficiario01",
					index: "beneficiario01",
					editable: true, 
					hidden: false
				},
				{ 	name: "nombre01",
					index: "nombre01",
					editable: true, 
					hidden: false
				},
				{ 	name: "apellido101",
					index: "apellido101",
					editable: true, 
					hidden: false
				},
				{ 	name: "apellido201",
					index: "apellido201",
					editable: true, 
					hidden: false
				},
				{ 	name: "sexo01",
					index: "sexo01",
					editable: true, 
					hidden: false
				},
				{ 	name: "tlfnoServicio01",
					index: "tlfnoServicio01",
					editable: true, 
					hidden: false
				}
		];
	
		let columnDefs = [ 
			{ 
				"targets": 1,
				"render": function(data, type, row, settings){
					if(beneficiario01SolicitanteVal == data){
						return beneficiario01SolicitanteDesc;
						
					}else if(beneficiario01BeneficiarioVal == data){
						return beneficiario01BeneficiarioDesc;
						
					} 
					return '';
				}
			},{ 
				"targets": 5,
				"render": function(data, type, row, settings){
					if(sexo01HombreVal == data){
						return sexo01HombreDesc;						
					}else if(sexo01MujerVal == data){
						return sexo01MujerDesc;						
					} 
					return '';
				}
			}
		];
		$("#asociados").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idSolicitante01"
			,filter:{
	  	  		id:"asociados_filter_form",
	  	  		filterToolbar:"asociados_filter_toolbar",
	  	  		collapsableLayerId:"asociados_filter_fieldset"
	     	}
			,noEdit : true
	   		,select: {
	       		activate: true
	   		}
			,seeker: {
				activate: true
			}
			,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			}
			,columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			}
			,order: [[0, "asc"]]
		});
	}
});